<?php

namespace ProveSource\SocialProof\Controller\Adminhtml\Settings;

class Index extends \Magento\Backend\App\Action
{
    protected $PageFactory;
    protected $settingsFactory;
    protected $_publicActions = ['index'];

    /**
     * Constructor.
     */
    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $PageFactory,
        \ProveSource\SocialProof\Model\SettingsEntryFactory $settingsFactory
    ) {
        parent::__construct($context);
        $this->PageFactory = $PageFactory;
        $this->settingsFactory = $settingsFactory;

        $post = (array) $this->getRequest()->getPost();
        if (!empty($post) && !empty($post['apiKey'])) {
            $apiKey = $post['apiKey'];
            $start = strpos($apiKey, '.');
            $end = strpos($apiKey, '.', $start + 1);
            $substr = substr($apiKey, $start + 1, $end - $start - 1);
            $json = json_decode(base64_decode($substr));

            if (!is_object($json) || !isset($json->accountId)) {
                $apiKey = null;
                $this->messageManager->addErrorMessage('Bad API Key, please copy and paste the key again.');
            } else {
                $this->messageManager->addSuccessMessage('API Key Saved!');
            }
            $item = $this->settingsFactory->create()->load('apiKey', 'key');
            $item->setKey('apiKey')->setValue($apiKey)->save();
        }
    }

    /**
     * Load the page defined in view/adminhtml/layout/provesource_apikey_index.xml.
     *
     * @return \Magento\Framework\View\Result\Page
     */
    public function execute()
    {
        return $PageFactory = $this->PageFactory->create();
    }
}
