<?php

namespace ProveSource\SocialProof\Model\System\Message;

class InstallMessage implements \Magento\Framework\Notification\MessageInterface
{
    protected $settings;

    /**
     * Constructor.
     */
    public function __construct(\ProveSource\SocialProof\Model\SettingsEntryFactory $settings)
    {
        $this->settings = $settings;
    }

    /**
     * Message identity.
     *
     * @return message identity key
     */
    public function getIdentity()
    {
        // Retrieve unique message identity
        return 'provesource_socialproof_installmessage';
    }

    /**
     * Should display message.
     *
     * @return true if needs to be displayed, false otherwise
     */
    public function isDisplayed()
    {
        // Return true to show your message, false to hide it
        $apiKey = $this->settings->create()->load('apiKey', 'key')->getValue();

        return empty($apiKey);
    }

    /**
     * Get message text.
     *
     * @return message text
     */
    public function getText()
    {
        // Retrieve message text
        return 'ProveSource is not configured! Go to Content -> ProveSource -> Settings';
    }

    /**
     * Get message severity.
     *
     * @return message severity
     */
    public function getSeverity()
    {
        // Possible values: SEVERITY_CRITICAL, SEVERITY_MAJOR, SEVERITY_MINOR, SEVERITY_NOTICE
        return self::SEVERITY_MAJOR;
    }
}
