<?php

namespace ProveSource\SocialProof\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table;

class InstallSchema implements InstallSchemaInterface
{
    /**
     * Install Table.
     *
     * @SuppressWarnings(PHPMD.ExcessiveMethodLength)
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        /**
         * Create table 'ProveSourceSettings'.
         */
        $table = $setup->getConnection()
            ->newTable($setup->getTable('provesource_socialproof_settings'))
            ->addColumn(
                'id',
                Table::TYPE_INTEGER,
                null,
                [
                    'identity' => true,
                    'unsigned' => true,
                    'nullable' => false,
                    'primary' => true,
                ],
                'ID'
            )->addColumn(
                'key',
                Table::TYPE_TEXT,
                50,
                [
                    'nullable' => false,
                    'default' => '',
                ],
                'Key'
            )->addColumn(
                'value',
                Table::TYPE_TEXT,
                255,
                ['nullable' => true],
                'Value'
            );
        $setup->getConnection()->createTable($table);
    }
}
